MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001095XdebugUsage problems (Wrong Results)public2014-12-18 11:052015-02-22 14:32
Reportervavra 
Assigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OS*OS Version*
Product Version 
Target Version2.3.0Fixed in Version2.3.0 
Summary0001095: Crash when using a non-associate array key in a $GLOBALS element
DescriptionI have a simple script

global $times;
$times=array();

function recordTime($file, $line, $note='')
{
  global $times;
  $times[] = array(microtime(true), $file, $line, $note);
}

recordTime(__FILE__, __LINE__);
require_once('core/fs_loader.php');
recordTime(__FILE__, __LINE__);

While stepping the second time into recordTime function(.) the xdebug crashes.
fs_loader.php is based on a Nette robot loader that calls spl_autoload_register(.).
TagsNo tags attached.
Operating SystemWindows 7 x86
PHP Version5.5.15-5.5.19
Attached Fileslog file icon xdebug.log [^] (27,480 bytes) 2014-12-18 11:05
? file icon windows-event.evtx [^] (69,632 bytes) 2014-12-18 11:07

- Relationships

-  Notes
(0002942)
vavra (reporter)
2014-12-18 11:07

Windows Event dump:

- System

  - Provider

   [ Name] Application Error
 
  + EventID 1000

   [ Qualifiers] 0
 
   Level 2
 
   Task 100
 
   Keywords 0x80000000000000
 
  - TimeCreated

   [ SystemTime] 2014-12-18T11:04:06.000000000Z
 
   EventRecordID 201685
 
   Channel Application
 
   Computer Vavra-PC
 
   Security
 

- EventData

   php.exe
   5.5.19.0
   5463c521
   php_xdebug-2.2.6-5.5-vc11.dll
   2.2.6.0
   54672b10
   c0000005
   0000fce7
   1168
   01d01ab25063a865
   C:\prog\php5.5.19\php.exe
   c:\prog\php5.5.19\ext\php_xdebug-2.2.6-5.5-vc11.dll
   94eaf850-86a5-11e4-ad93-002421f3946d
(0002947)
derick (administrator)
2014-12-27 21:33

Can you provide a short (or self contained) reproducing script that shows this behaviour? The whole of Nette is not too big for me to do anything about.
(0002981)
derick (administrator)
2015-02-06 23:32

Ping?
(0002994)
derick (administrator)
2015-02-16 23:14

Fixed for 2.2.8 and 2.3dev.

- Issue History
Date Modified Username Field Change
2014-12-18 11:05 vavra New Issue
2014-12-18 11:05 vavra File Added: xdebug.log
2014-12-18 11:07 vavra File Added: windows-event.evtx
2014-12-18 11:07 vavra Note Added: 0002942
2014-12-27 21:33 derick Note Added: 0002947
2014-12-27 21:33 derick Assigned To => derick
2014-12-27 21:33 derick Status new => feedback
2015-02-06 23:32 derick Note Added: 0002981
2015-02-16 22:38 derick Status feedback => assigned
2015-02-16 22:38 derick OS Windows => *
2015-02-16 22:38 derick OS Version 7 => *
2015-02-16 22:38 derick Target Version => 2.2.8
2015-02-16 22:38 derick Summary xdebug crashes while stepping twice into the same method => Crash when using a non-associate array key in a $GLOBALS element
2015-02-16 23:14 derick Note Added: 0002994
2015-02-16 23:14 derick Status assigned => closed
2015-02-16 23:14 derick Resolution open => fixed
2015-02-16 23:14 derick Fixed in Version => 2.2.8
2015-02-22 14:29 derick Fixed in Version 2.2.8 => 2.3.0
2015-02-22 14:32 derick Target Version 2.2.8 => 2.3.0
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker